### 1.git安装教程

教程链接：<a href="https://zhuanlan.zhihu.com/p/443527549">https://zhuanlan.zhihu.com/p/443527549</a>

### <font color = "red">2.git基本操作命令</font>

#### 2.1 git常用命令 

> - git init 初始化项目 
> - git status 查看当前目录下文件的状态
> - git add （文件名 | .）添加到暂存盘，文件名代表某文件，"."代表所有文件
> - git commit -m "备注" 提交到git本地仓库，产生新版本，引号中的备注必须写
> - git log 查看所有提交的记录
> - git clone 链接 克隆远程仓库，进行连接
> - git checkout -b [branch] 新建一个分支，并切换到该分支
> - git checkout [branch] 切换到某分支
> - git branch -d [branch-name] 删除分支
> - git merge [branch] 合并指定分支到当前分支
> - git push 将本地仓库push到远程仓库

#### 2.2 流程详解

# **Git使用教程**

## 一、Git的公钥和私钥

github支持https和ssh方式访问代码库，https是无状态传输。git传输使用rsa算法，rsa生产一对数字，一个数字用来加密，另一个数字用来解密。git中这两个数字分别是公钥public key和私钥private key。通常，公钥给服务器，本地访问远端仓库下载代码时，服务器通过公钥加密代码然后发出去，本地电脑接收时，用本地存储的私钥解密它。如果匹配，就正常下载；如果不匹配，则下载失败。


## 二、生成密钥的步骤

1、在电脑桌面，鼠标右键，选择"Git Bash Here"，打开Git命令窗口；

2、在Git命令窗口中配置用户，输入如下命令：

```shell
# 这里的your_name需要替换为自己的id
git config --global user.name "your_name"
```

3、继续在Git窗口中配置邮箱，输入如下命令：

```shell
git config --global user.email "xxx@xx.com"
```

4、此时会在C:\Users\zhouxy目录下生成.gitconfig配置文件(此文件不能删除)；
	5、查看.gitconfig配置文件里的内容；

6、继续在Git命令窗口中输入如下命令，即可生成SSH公钥和私钥

```shell
ssh-keygen -t rsa -C "xxx@xx.com"
```

![image-20220827162221537](C:\Users\Administrator\AppData\Roaming\Typora\typora-user-images\image-20220827162221537.png)

7、进入C:\Users\Administrator.ssh目录下，查看生成的SSH密钥

1.打开想要上传项目的文件根目录，右击Git Bash Here，输入命令 **git init**:

``` $ git init                                                 ```

![image-20240507131840732](D:\Linux+git笔记\代码同步协作(Git)\Image\git init.png)

发现在根目录中出现了一个 **.git** 文件，表明此项目已被git管理。 

2.通过` git clone "仓库链接"`与远程仓库进行连接：

![image-20240507131741797](D:\Linux+git笔记\代码同步协作(Git)\Image\git clone.png)

3. 连接成功后，添加项目到暂存区，并提交项目到本地仓库，中间可以使用 **git status** 命令查看文件状态：![image-20240507131929421](D:\Linux+git笔记\代码同步协作(Git)\Image\git add.png)![image-20240507131951291](D:\Linux+git笔记\代码同步协作(Git)\Image\git commit.png)![image-20240507132003856](D:\Linux+git笔记\代码同步协作(Git)\Image\git status.png)

    当使用用` git status` 查看状态显示“没有需要提交的，工作树干净”时，就说明项目已经全部提交至本地仓库。

4. 使用命令 `git checkout -b dev` 创建dev分支并切换到该分支下，在分支上进行操作；在这之前或之后都可以使用命令 `git branch` 查看仓库的分支都有哪些![image-20240507133520475](D:\Linux+git笔记\代码同步协作(Git)\Image\git checkout.png)

5.  操作这么多命令后，可能已经断开了与远程的连接，使用命令 `git remote -v`查看，如果为空，则使用 `git remote add origin 链接` 再次与远程仓库进行连接![image-20240507134004040](D:\Linux+git笔记\代码同步协作(Git)\Image\git remote.png)

   出现如上图所示，则重新连接成功！

6. 把master分支合并到dev分支，进行add和commit，最后push到远程

7. 查看项目是否上传成功。